## poppler 0.26.5

=== CMakeLists.txt ===
project(poppler)

cmake_minimum_required(VERSION 2.6.0 FATAL_ERROR)

set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/modules)

include(PopplerDefaults)
include(PopplerMacros)
include(MacroOptionalFindPackage)
find_package(PkgConfig)
include(MacroEnsureVersion)
include(MacroBoolTo01)
find_package(Threads)
include(TestBigEndian)
test_big_endian(WORDS_BIGENDIAN)
include(CheckFileOffsetBits)
CHECK_FILE_OFFSET_BITS()

set(POPPLER_MAJOR_VERSION "0")
set(POPPLER_MINOR_VERSION "26")
set(POPPLER_MICRO_VERSION "5")
set(POPPLER_VERSION "${POPPLER_MAJOR_VERSION}.${POPPLER_MINOR_VERSION}.${POPPLER_MICRO_VERSION}")

# command line switches
option(ENABLE_XPDF_HEADERS "Install unsupported xpdf headers." OFF)
option(BUILD_GTK_TESTS "Whether compile the GTK+ test programs." ON)
option(BUILD_QT4_TESTS "Whether compile the Qt4 test programs." ON)
option(BUILD_QT5_TESTS "Whether compile the Qt5 test programs." ON)
option(BUILD_CPP_TESTS "Whether compile the CPP test programs." ON)
option(ENABLE_SPLASH "Build the Splash graphics backend." ON)
option(ENABLE_UTILS "Compile poppler command line utils." ON)
option(ENABLE_CPP "Compile poppler cpp wrapper." ON)
option(ENABLE_LIBOPENJPEG "Use libopenjpeg for JPX streams." ON)
set(ENABLE_CMS "auto" CACHE STRING "Use color management system. Possible values: auto, lcms1, lcms2. 'auto' prefers lcms2 over lcms1 if both are available. Unset to disable color management system.")
option(ENABLE_LIBCURL "Build libcurl based HTTP support." OFF)
option(ENABLE_ZLIB "Build with zlib (not totally safe)." OFF)
option(USE_FIXEDPOINT "Use fixed point arithmetic in the Splash backend" OFF)
option(USE_FLOAT "Use single precision arithmetic in the Splash backend" OFF)
if(WIN32)
  option(ENABLE_RELOCATABLE "Do not hardcode the poppler library location (on Windows)." ON)
else(WIN32)
  set(ENABLE_RELOCATABLE OFF)
endif(WIN32)

set(LIB_SUFFIX "" CACHE STRING "Define suffix of directory name (32/64)")

set(TESTDATADIR "${CMAKE_SOURCE_DIR}/../test" CACHE STRING "Specify test data dir.")
if(NOT (EXISTS ${TESTDATADIR} AND EXISTS ${TESTDATADIR}/test-poppler.c))
  message(WARNING "
 No test data found in $testdatadir.
 You will not be able to run 'make test' successfully.

 The test data is not included in the source packages
 and is also not part of the main git repository. Instead,
 you can checkout the test data from its own git
 repository with:

   git clone git://git.freedesktop.org/git/poppler/test

 You should checkout the test data as a sibling of your
 poppler source folder or specify the location of your
 checkout with -DTESTDATADIR=/path/to/checkoutdir/test.
  ")
endif()

if(WIN32)
  set(_default_fontconfiguration "win32")
else(WIN32)
  set(_default_fontconfiguration "fontconfig")
endif(WIN32)
set(FONT_CONFIGURATION "${_default_fontconfiguration}" CACHE STRING "The font configuration backend (win32|fontconfig).")
string(TOLOWER "${FONT_CONFIGURATION}" font_configuration)
set(WITH_FONTCONFIGURATION_WIN32 OFF)
set(WITH_FONTCONFIGURATION_FONTCONFIG OFF)
if(font_configuration STREQUAL "win32")
  set(WITH_FONTCONFIGURATION_WIN32 ON)
elseif(font_configuration STREQUAL "fontconfig")
  set(WITH_FONTCONFIGURATION_FONTCONFIG ON)
else(font_configuration STREQUAL "win32")
  message(FATAL_ERROR "Invalid font configuration setting: ${FONT_CONFIGURATION}")
endif(font_configuration STREQUAL "win32")

# Enable these unconditionally.
set(MULTITHREADED ON)
set(OPI_SUPPORT ON)
set(TEXTOUT_WORD_LIST ON)

# setting the minimum required versions for some components
set(QT4_MIN_VERSION "4.7.0")
set(CAIRO_VERSION "1.10.0")
set(GLIB_REQUIRED "2.18")

macro_bool_to_01(ENABLE_SPLASH HAVE_SPLASH)
find_package(Freetype REQUIRED)
if(WITH_FONTCONFIGURATION_FONTCONFIG)
  find_package(Fontconfig REQUIRED)
endif(WITH_FONTCONFIGURATION_FONTCONFIG)
macro_optional_find_package(JPEG)
macro_optional_find_package(PNG)
macro_optional_find_package(TIFF)
if(JPEG_FOUND)
  set(ENABLE_LIBJPEG ${JPEG_FOUND})
endif(JPEG_FOUND)
macro_optional_find_package(Qt4)
if(${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION}.${CMAKE_PATCH_VERSION} VERSION_GREATER 2.8.7)
  find_package(Qt5Core)
  find_package(Qt5Gui)
  find_package(Qt5Xml)
  find_package(Qt5Widgets)
  find_package(Qt5Test)
  if (Qt5Core_FOUND AND Qt5Gui_FOUND AND Qt5Xml_FOUND AND Qt5Widgets_FOUND AND Qt5Test_FOUND)
    set(QT5_FOUND true)
  else ()
    message("-- Package Qt5Core or Qt5Gui or Qt5Xml or Qt5Widgets or Qt5Test not found")
    set(QT5_FOUND false)
  endif()
else(${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION}.${CMAKE_PATCH_VERSION} VERSION_GREATER 2.8.7)
  set(QT5_FOUND false)
  message("-- CMake >= 2.8.8 is needed to enable Qt5")
endif(${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION}.${CMAKE_PATCH_VERSION} VERSION_GREATER 2.8.7)

macro_optional_find_package(Cairo ${CAIRO_VERSION})
if(CAIRO_FOUND)
  set(HAVE_CAIRO ${CAIRO_FOUND})
  set(CAIRO_FEATURE "#define POPPLER_HAS_CAIRO 1")
  set(CAIRO_REQ "cairo")
  set(POPPLER_GLIB_DISABLE_DEPRECATED "")
  set(POPPLER_GLIB_DISABLE_SINGLE_INCLUDES "")
  macro_optional_find_package(GLIB)
  if(GLIB_FOUND)
    set(ENABLE_GLIB ON)
    # Check for introspection
    macro_optional_find_package(GObjectIntrospection 0.9.12)
    set(HAVE_INTROSPECTION ${INTROSPECTION_FOUND})
    set(POPPLER_GLIB_DISABLE_DEPRECATED "${POPPLER_GLIB_DISABLE_DEPRECATED} -DG_DISABLE_DEPRECATED")
    set(POPPLER_GLIB_DISABLE_SINGLE_INCLUDES "${POPPLER_GLIB_DISABLE_SINGLE_INCLUDES} -DG_DISABLE_SINGLE_INCLUDES")
    macro_optional_find_package(GTK)
  endif(GLIB_FOUND)
else(CAIRO_FOUND)
  set(CAIRO_FEATURE "#undef POPPLER_HAS_CAIRO")
endif(CAIRO_FOUND)
if(ENABLE_CPP)
  macro_optional_find_package(Iconv)
  set(ENABLE_CPP ${ICONV_FOUND})
  set(HAVE_ICONV ${ICONV_FOUND})
endif(ENABLE_CPP)
if(ENABLE_ZLIB)
  find_package(ZLIB)
  if(ZLIB_FOUND)
    set(HAVE_LIBZ ${ZLIB_FOUND})
  endif(ZLIB_FOUND)
  set(ENABLE_ZLIB ${ZLIB_FOUND})
endif(ENABLE_ZLIB)
if(ENABLE_LIBOPENJPEG)
  find_package(LIBOPENJPEG)
  set(ENABLE_LIBOPENJPEG ${LIBOPENJPEG_FOUND})
  set(HAVE_OPENJPEG_H ON)
endif(ENABLE_LIBOPENJPEG)
if(ENABLE_CMS STREQUAL "auto")
  find_package(LCMS2)
  set(USE_CMS ${LCMS2_FOUND})
  if(NOT LCMS2_FOUND)
    find_package(LCMS)
    set(USE_CMS ${LCMS_FOUND})
    set(USE_LCMS1 ${LCMS_FOUND})
  endif(NOT LCMS2_FOUND)
elseif(ENABLE_CMS STREQUAL "lcms1")
  find_package(LCMS)
  set(USE_CMS ${LCMS_FOUND})
  set(USE_LCMS1 ${LCMS_FOUND})
elseif(ENABLE_CMS STREQUAL "lcms2")
  find_package(LCMS2)
  set(USE_CMS ${LCMS2_FOUND})
endif()
if(ENABLE_LIBCURL)
  find_package(CURL)
  include_directories(${CURL_INCLUDE_DIR})
  set(POPPLER_HAS_CURL_SUPPORT ON)
endif(ENABLE_LIBCURL)

add_definitions(-DHAVE_CONFIG_H=1)
if(MINGW)
  # Use mingw's ansi stdio extensions
  add_definitions(-D__USE_MINGW_ANSI_STDIO=1)
endif(MINGW)
if(FONTCONFIG_FOUND)
  add_definitions(${FONTCONFIG_DEFINITIONS})
  include_directories(${FONTCONFIG_INCLUDE_DIR})
endif(FONTCONFIG_FOUND)
if(WITH_FONTCONFIGURATION_WIN32)
  if(MINGW)
    # Set the minimum required Internet Explorer version to 5.0
    add_definitions(-D_WIN32_IE=0x0500)
  endif(MINGW)
endif(WITH_FONTCONFIGURATION_WIN32)
include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}/fofi
  ${CMAKE_CURRENT_SOURCE_DIR}/goo
  ${CMAKE_CURRENT_SOURCE_DIR}/poppler
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}/poppler
  ${FREETYPE_INCLUDE_DIRS}
)
set(HAVE_FREETYPE_H ON)
if(CMAKE_USE_PTHREADS_INIT)
  set(HAVE_PTHREAD ON)
endif(CMAKE_USE_PTHREADS_INIT)

if(ENABLE_ZLIB)
  include_directories(${ZLIB_INCLUDE_DIR})
endif(ENABLE_ZLIB)
if(JPEG_FOUND)
  include_directories(${JPEG_INCLUDE_DIR})
  set(ENABLE_LIBJPEG ON)
endif(JPEG_FOUND)
if(PNG_FOUND)
  include_directories(${PNG_INCLUDE_DIR})
  set(ENABLE_LIBPNG ON)
endif(PNG_FOUND)
if(TIFF_FOUND)
  include_directories(${TIFF_INCLUDE_DIR})
  set(ENABLE_LIBTIFF ON)
endif(TIFF_FOUND)
if(LIBOPENJPEG_FOUND)
  include_directories(${LIBOPENJPEG_INCLUDE_DIR})
endif(LIBOPENJPEG_FOUND)
if(LCMS_FOUND)
  include_directories(${LCMS_INCLUDE_DIR})
endif(LCMS_FOUND)
if(LCMS2_FOUND)
  include_directories(${LCMS2_INCLUDE_DIR})
endif(LCMS2_FOUND)

if(DEFINED COMPILE_WARNINGS)
else(DEFINED COMPILE_WARNINGS)
  set(COMPILE_WARNINGS "yes")
endif(DEFINED COMPILE_WARNINGS)
string(TOLOWER "${COMPILE_WARNINGS}" _comp_warnings)
if(_comp_warnings STREQUAL "no")
  set(CMAKE_CXX_FLAGS "${DEFAULT_COMPILE_WARNINGS_NO} ${CMAKE_CXX_FLAGS}")
endif(_comp_warnings STREQUAL "no")
if(_comp_warnings STREQUAL "yes")
  set(CMAKE_C_FLAGS "-Wall ${CMAKE_C_FLAGS}")
  set(CMAKE_CXX_FLAGS "${DEFAULT_COMPILE_WARNINGS_YES} ${CMAKE_CXX_FLAGS}")
endif(_comp_warnings STREQUAL "yes")
if(_comp_warnings STREQUAL "kde")
  set(CMAKE_C_FLAGS "-Wall ${CMAKE_C_FLAGS}")
  set(CMAKE_CXX_FLAGS "${DEFAULT_COMPILE_WARNINGS_KDE} ${CMAKE_CXX_FLAGS}")
endif(_comp_warnings STREQUAL "kde")


include(ConfigureChecks.cmake)
configure_file(config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h)
configure_file(poppler/poppler-config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/poppler/poppler-config.h)


set(poppler_SRCS
  goo/gfile.cc
  goo/gmempp.cc
  goo/GooHash.cc
  goo/GooList.cc
  goo/GooTimer.cc
  goo/GooString.cc
  goo/gmem.cc
  goo/FixedPoint.cc
  goo/NetPBMWriter.cc
  goo/PNGWriter.cc
  goo/TiffWriter.cc
  goo/JpegWriter.cc
  goo/ImgWriter.cc
  goo/gstrtod.cc
  goo/grandom.cc
  fofi/FoFiBase.cc
  fofi/FoFiEncodings.cc
  fofi/FoFiTrueType.cc
  fofi/FoFiType1.cc
  fofi/FoFiType1C.cc
  fofi/FoFiIdentifier.cc
  poppler/Annot.cc
  poppler/Array.cc
  poppler/BuiltinFont.cc
  poppler/BuiltinFontTables.cc
  poppler/CachedFile.cc
  poppler/Catalog.cc
  poppler/CharCodeToUnicode.cc
  poppler/CMap.cc
  poppler/DateInfo.cc
  poppler/Decrypt.cc
  poppler/Dict.cc
  poppler/Error.cc
  poppler/FileSpec.cc
  poppler/FontEncodingTables.cc
  poppler/Form.cc
  poppler/FontInfo.cc
  poppler/Function.cc
  poppler/Gfx.cc
  poppler/GfxFont.cc
  poppler/GfxState.cc
  poppler/GlobalParams.cc
  poppler/Hints.cc
  poppler/JArithmeticDecoder.cc
  poppler/JBIG2Stream.cc
  poppler/Lexer.cc
  poppler/Link.cc
  poppler/Linearization.cc
  poppler/LocalPDFDocBuilder.cc
  poppler/MarkedContentOutputDev.cc
  poppler/NameToCharCode.cc
  poppler/Object.cc
  poppler/OptionalContent.cc
  poppler/Outline.cc
  poppler/OutputDev.cc
  poppler/Page.cc
  poppler/PageTransition.cc
  poppler/Parser.cc
  poppler/PDFDoc.cc
  poppler/PDFDocEncoding.cc
  poppler/PDFDocFactory.cc
  poppler/PopplerCache.cc
  poppler/ProfileData.cc
  poppler/PreScanOutputDev.cc
  poppler/PSTokenizer.cc
  poppler/Stream.cc
  poppler/StructTreeRoot.cc
  poppler/StructElement.cc
  poppler/strtok_r.cpp
  poppler/UnicodeMap.cc
  poppler/UnicodeTypeTable.cc
  poppler/UTF.cc
  poppler/XRef.cc
  poppler/PSOutputDev.cc
  poppler/TextOutputDev.cc
  poppler/PageLabelInfo.cc
  poppler/SecurityHandler.cc
  poppler/StdinCachedFile.cc
  poppler/StdinPDFDocBuilder.cc
  poppler/Sound.cc
  poppler/ViewerPreferences.cc
  poppler/XpdfPluginAPI.cc
  poppler/Movie.cc
  poppler/Rendition.cc
)
set(poppler_LIBS ${FREETYPE_LIBRARIES})
if(ENABLE_SPLASH)
  set(poppler_SRCS ${poppler_SRCS}
    poppler/SplashOutputDev.cc
    splash/Splash.cc
    splash/SplashBitmap.cc
    splash/SplashClip.cc
    splash/SplashFTFont.cc
    splash/SplashFTFontEngine.cc
    splash/SplashFTFontFile.cc
    splash/SplashFont.cc
    splash/SplashFontEngine.cc
    splash/SplashFontFile.cc
    splash/SplashFontFileID.cc
    splash/SplashPath.cc
    splash/SplashPattern.cc
    splash/SplashScreen.cc
    splash/SplashState.cc
    splash/SplashT1Font.cc
    splash/SplashT1FontEngine.cc
    splash/SplashT1FontFile.cc
    splash/SplashXPath.cc
    splash/SplashXPathScanner.cc
  )
endif(ENABLE_SPLASH)
if(FONTCONFIG_FOUND)
  set(poppler_LIBS ${poppler_LIBS} ${FONTCONFIG_LIBRARIES})
endif(FONTCONFIG_FOUND)
if(JPEG_FOUND)
  set(poppler_SRCS ${poppler_SRCS}
    poppler/DCTStream.cc
  )
  set(poppler_LIBS ${poppler_LIBS} ${JPEG_LIBRARIES})
endif(JPEG_FOUND)
if(ENABLE_ZLIB)
  set(poppler_SRCS ${poppler_SRCS}
    poppler/FlateStream.cc
  )
  set(poppler_LIBS ${poppler_LIBS} ${ZLIB_LIBRARIES})

=== debian/changelog ===
poppler (0.26.5-0ubuntu1) utopic; urgency=medium

  * New upstream bugfix version

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 29 Sep 2014 19:01:18 +0200

poppler (0.26.4-0ubuntu1) utopic; urgency=medium

  * New upstream version
  * debian/control: updated qt4 requirement to 4.7

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 22 Sep 2014 15:36:16 +0200

poppler (0.26.2-2ubuntu1) utopic; urgency=medium

  * Merge with Debian experimental, remaining changes:
    - Drop libopenjpeg-dev build depends, it is in universe.
    - Lower poppler-data to Suggests, it is too big for CD images,
      handled by language-selector.
    - Add simple compile/link/run autopkgtest.
    - Build with dh-autoreconf.

 -- Robert Ancell <robert.ancell@canonical.com>  Mon, 07 Jul 2014 12:11:41 +1200

poppler (0.26.2-2) unstable; urgency=medium

  * Upload to unstable. (See #751525)

 -- Pino Toscano <pino@debian.org>  Wed, 02 Jul 2014 21:37:11 +0200

poppler (0.26.2-1) experimental; urgency=medium

  * New upstream release:
    - 'pdftohtml -v' now returns 0 as exit code (Closes: #732427)

 -- Pino Toscano <pino@debian.org>  Fri, 20 Jun 2014 00:53:56 +0200

poppler (0.26.1-1ubuntu1) utopic; urgency=medium

  * Merge with Debian experimental, remaining changes:
    - Drop libopenjpeg-dev build depends, it is in universe.
    - Lower poppler-data to Suggests, it is too big for CD images,
      handled by language-selector.
    - Add simple compile/link/run autopkgtest.
    - Build with dh-autoreconf.

 -- Iain Lane <iain@orangesquash.org.uk>  Mon, 09 Jun 2014 17:51:32 +0100

poppler (0.26.1-1) experimental; urgency=medium

  * New upstream release:
    - fix extraction of text in some files (Closes: #747057)
  * Update copyright.
  * Merge changes from 0.24.5-4:
    - upstream_Fix-extraction-of-text-in-some-files.patch: drop, backported

 -- Pino Toscano <pino@debian.org>  Sat, 24 May 2014 16:03:20 +0200

poppler (0.26.0-1ubuntu2) utopic; urgency=medium

  * Don't have libpoppler-dev depend on libpoppler-private-dev. If a package
    needs this to build then it should Build-Depend on libpoppler-private-dev
    directly. (LP: #1325174)

 -- Iain Lane <iain.lane@canonical.com>  Thu, 05 Jun 2014 11:01:06 +0100

poppler (0.26.0-1ubuntu1) utopic; urgency=medium

  * Merge with Debian experimental, remaining changes:
    - Drop libopenjpeg-dev build depends, it is in universe.
    - Lower poppler-data to Suggests, it is too big for CD images,
      handled by language-selector.
    - Have libpoppler-dev Depend on libpoppler-private-dev, to help with
      the transition after the split of the two packages.
    - Add simple compile/link/run autopkgtest.
    - Build with dh-autoreconf.

 -- Iain Lane <iain.lane@canonical.com>  Fri, 23 May 2014 18:08:07 +0100

poppler (0.26.0-1) experimental; urgency=medium

  * New upstream release:
    - pdfseparate supports left-padding PDF page patterns (Closes: #723121)
    - poppler-glib uses the GLib logging features for Poppler's messages
      (Closes: #736425)
  * Rename packages according to the new SONAMEs:
    - libpoppler44 -> libpoppler46
  * Update copyright.
  * Update symbols files.
  * debian/patches:
    - upstream_fix_qt5_moc_detection.diff: drop, backported
    - qt-visibility.diff: remove applied parts

 -- Pino Toscano <pino@debian.org>  Fri, 25 Apr 2014 23:54:13 +0200

poppler (0.24.5-4) unstable; urgency=medium

  * Backport upstream commit 5b2cdef49a8a0a92fd323fbe45841a5098a42ece to fix
    extraction of text in in some documents; patch
    upstream_Fix-extraction-of-text-in-some-files.patch. (Closes: #747057)
  * Enable the autotools_dev dh addon to update config.{guess,sub} before
    configure. (Closes: #734014)

 -- Pino Toscano <pino@debian.org>  Sat, 24 May 2014 15:00:15 +0200

poppler (0.24.5-3) unstable; urgency=medium

  * Upload to unstable.
  * The rebuild closes: #742293.

 -- Pino Toscano <pino@debian.org>  Sat, 05 Apr 2014 16:28:26 +0200

poppler (0.24.5-2ubuntu5) utopic; urgency=medium

  * No-change rebuild for shlib changes in qtbase and qtdeclarative.

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Tue, 29 Apr 2014 00:28:46 -0700

=== debian/control ===
Source: poppler
Section: devel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Loic Minier <lool@dooz.org>
Uploaders: Josselin Mouette <joss@debian.org>,
           Dave Beckett <dajobe@debian.org>,
           Ross Burton <ross@debian.org>,
           Pino Toscano <pino@debian.org>
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               dpkg (>= 1.16.1),
               libglib2.0-dev (>= 2.18),
               libgtk2.0-dev (>= 2.12),
               libfontconfig1-dev,
               libqt4-dev (>= 4.7.0),
               libcairo2-dev (>= 1.10.0),
               libjpeg-dev,
               libpng-dev,
               libtiff-dev,
               liblcms2-dev,
               libfreetype6-dev,
               gtk-doc-tools (>= 1.14),
               pkg-config (>= 0.18),
               libgirepository1.0-dev (>= 1.31.0-2~),
               gobject-introspection (>= 1.31.0-2~),
               qtbase5-dev,
               libglib2.0-doc,
               libcairo2-doc
Standards-Version: 3.9.5
Homepage: http://poppler.freedesktop.org/
Vcs-Git: git://anonscm.debian.org/pkg-freedesktop/poppler.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-freedesktop/poppler.git
XS-Testsuite: autopkgtest

Package: libpoppler46
Architecture: any
Section: libs
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Suggests: poppler-data
Description: PDF rendering library
 Poppler is a PDF rendering library based on Xpdf PDF viewer.
 .
 This package contains the shared core library.

Package: libpoppler-dev
Architecture: any
Section: libdevel
Depends: libpoppler46 (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Description: PDF rendering library -- development files
 Poppler is a PDF rendering library based on Xpdf PDF viewer.
 .
 This package contains the development libraries needed to build applications
 using Poppler.

Package: libpoppler-private-dev
Architecture: any
Section: libdevel
Depends: libpoppler-dev (= ${binary:Version}),
         ${misc:Depends}
Suggests: libfreetype6-dev,
Breaks: libpoppler-dev (<< 0.20.2)
Replaces: libpoppler-dev (<< 0.20.2)
Description: PDF rendering library -- private development files
 Poppler is a PDF rendering library based on Xpdf PDF viewer.
 .
 This package contains the private and unstable headers needed to build
 applications using the private Poppler core library.

Package: libpoppler-glib8
Architecture: any
Section: libs
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: PDF rendering library (GLib-based shared library)
 Poppler is a PDF rendering library based on Xpdf PDF viewer.
 .
 This package provides the GLib-based shared library for applications
 using the GLib interface to Poppler.

Package: libpoppler-glib-dev
Architecture: any
Section: libdevel
Depends: libpoppler-glib8 (= ${binary:Version}),
         libpoppler-dev (= ${binary:Version}),
         gir1.2-poppler-0.18 (= ${binary:Version}),
         libglib2.0-dev (>= 2.18),
         libcairo2-dev (>= 1.10.0),
         ${shlibs:Depends},
         ${misc:Depends}
Suggests: libpoppler-glib-doc
Description: PDF rendering library -- development files (GLib interface)
 Poppler is a PDF rendering library based on Xpdf PDF viewer.
 .
 This package contains the headers and development libraries needed to
 build applications using the GLib-based Poppler interface.

Package: libpoppler-glib-doc
Architecture: all
Section: doc
Depends: libglib2.0-doc,
         libcairo2-doc,
         ${misc:Depends}
Breaks: libpoppler-glib-dev (<< 0.22.5)
Replaces: libpoppler-glib-dev (<< 0.22.5)
Description: PDF rendering library -- documentation for the GLib interface
 Poppler is a PDF rendering library based on Xpdf PDF viewer.
 .
 This package contains the API documentation of the GLib-based Poppler
 interface.

Package: gir1.2-poppler-0.18
Architecture: any
Section: introspection
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${gir:Depends}
Description: GObject introspection data for poppler-glib
 Poppler is a PDF rendering library based on Xpdf PDF viewer.
 .
 This package contains introspection data for poppler-glib.
 .
 It can be used by packages using the GIRepository format to generate
 dynamic bindings.

Package: libpoppler-qt4-4
Architecture: any
Section: libs
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: PDF rendering library (Qt 4 based shared library)
 Poppler is a PDF rendering library based on Xpdf PDF viewer.
 .
 This package provides the Qt 4 based shared library for applications
 using the Qt 4 interface to Poppler.

Package: libpoppler-qt4-dev
Architecture: any
Section: libdevel
Depends: libpoppler-qt4-4 (= ${binary:Version}),
         libpoppler-dev (= ${binary:Version}),
         libqt4-dev (>= 4.7.0),
         ${shlibs:Depends},
         ${misc:Depends}
Description: PDF rendering library -- development files (Qt 4 interface)
 Poppler is a PDF rendering library based on Xpdf PDF viewer.
 .
 This package contains the headers and development libraries needed to
 build applications using the Qt 4-based Poppler interface.

Package: libpoppler-qt5-1
Architecture: any
Section: libs
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: PDF rendering library (Qt 5 based shared library)
 Poppler is a PDF rendering library based on Xpdf PDF viewer.
 .
 This package provides the Qt 5 based shared library for applications
 using the Qt 5 interface to Poppler.

Package: libpoppler-qt5-dev
Architecture: any
Section: libdevel
Depends: libpoppler-qt5-1 (= ${binary:Version}),
         libpoppler-dev (= ${binary:Version}),
         qtbase5-dev,
         ${shlibs:Depends},
         ${misc:Depends}
Description: PDF rendering library -- development files (Qt 5 interface)
 Poppler is a PDF rendering library based on Xpdf PDF viewer.
 .
 This package contains the headers and development libraries needed to
 build applications using the Qt 5-based Poppler interface.

Package: libpoppler-cpp0
Architecture: any
Section: libs
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: PDF rendering library (CPP shared library)
 Poppler is a PDF rendering library based on Xpdf PDF viewer.
 .
 This package provides the CPP shared library for applications
 using a simple C++ interface (using STL, and no other dependency) to Poppler.

Package: libpoppler-cpp-dev
Architecture: any
Section: libdevel
Depends: libpoppler-cpp0 (= ${binary:Version}),
         libpoppler-dev (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Description: PDF rendering library -- development files (CPP interface)
 Poppler is a PDF rendering library based on Xpdf PDF viewer.
 .
 This package contains the headers and development libraries needed to
 build applications using the C++ Poppler interface.

Package: poppler-utils
Architecture: any
Section: utils
Multi-Arch: foreign
Depends: ${shlibs:Depends},
         ${misc:Depends}
Breaks: xpdf-utils (<< 3.02-2~)
Conflicts: pdftohtml
Replaces: xpdf-utils (<< 3.02-2~),
          pdftohtml,
          xpdf-reader
Provides: xpdf-utils,
          pdftohtml
Description: PDF utilities (based on Poppler)
 Poppler is a PDF rendering library based on Xpdf PDF viewer.
 .
 This package contains command line utilities (based on Poppler) for getting
 information of PDF documents, convert them to other formats, or manipulate
 them:
  * pdfdetach -- lists or extracts embedded files (attachments)
  * pdffonts -- font analyzer
  * pdfimages -- image extractor
  * pdfinfo -- document information
  * pdfseparate -- page extraction tool
  * pdftocairo -- PDF to PNG/JPEG/PDF/PS/EPS/SVG converter using Cairo
  * pdftohtml -- PDF to HTML converter
  * pdftoppm -- PDF to PPM/PNG/JPEG image converter
  * pdftops -- PDF to PostScript (PS) converter
  * pdftotext -- text extraction
  * pdfunite -- document merging tool

Package: poppler-dbg
Architecture: any
Section: debug
Priority: extra
Multi-Arch: same
Depends: ${misc:Depends},
         libpoppler46 (= ${binary:Version})
Description: PDF rendering library -- debugging symbols
 Poppler is a PDF rendering library based on Xpdf PDF viewer.
 .
 This package contains the debugging symbols for all the Poppler libraries
 and the utilities.

=== debian/rules ===
#!/usr/bin/make -f

# the upstream version (i.e. without the Debian revision)
UPSTREAM_VERSION := $(shell dpkg-parsechangelog | sed -n 's/^Version: //p' | cut -f1 -d '-')
# symbols.in files & their "generated" file names
SYMBOLS_in := $(wildcard debian/*.symbols.in)
SYMBOLS_generated := $(patsubst %.in,%,$(SYMBOLS_in))

# use qt4's moc as the default moc is qt3's when both are installed
PATH := /usr/share/qt4/bin:$(PATH)
export PATH

# avoid overlinking and reduce library dependencies
export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

# make the build verbose
export V=1

# enable all the hardening options
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# DEB_* variables
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

# disable gtk stuff to minimize Build-Depends
CONFIGURE_ARGS :=				\
	--enable-libjpeg			\
	--enable-libpng				\
	--enable-libtiff			\
	--enable-splash-output			\
	--enable-cairo-output			\
	--enable-poppler-glib			\
	--enable-poppler-qt4			\
	--enable-poppler-qt5			\
	--enable-poppler-cpp			\
	--enable-gtk-doc			\
	--enable-xpdf-headers			\
	--enable-introspection=yes		\
	--enable-cms=lcms2			\
	--disable-gtk-test

%:
	dh $@ --parallel --with gir,autoreconf

override_dh_auto_clean:
	dh_auto_clean
	rm -f glib/reference/html/*
	rm -f $(SYMBOLS_generated)

override_dh_auto_configure:
	dh_auto_configure -- $(CONFIGURE_ARGS)

override_dh_auto_install:
	dh_auto_install
	# remove libtool .la files
	rm -f -v $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/*.la

override_dh_install:
	dh_install --list-missing

override_dh_installchangelogs:
	dh_installchangelogs -plibpoppler46
	dh_installchangelogs --remaining-packages -XChangeLog

override_dh_strip:
	dh_strip --dbg-package=poppler-dbg

override_dh_makeshlibs: $(SYMBOLS_generated)
	dh_makeshlibs -plibpoppler46 -V
	dh_makeshlibs -plibpoppler-cpp0 -V"libpoppler-cpp0 (>= 0.16)"
	dh_makeshlibs --remaining-packages

debian/%.symbols: debian/%.symbols.in
	cat $^ | sed -e 's/#CURVER#/$(UPSTREAM_VERSION)/g' > $@

.PHONY: override_dh_auto_test

## poppler 0.30.0

=== debian/changelog ===
poppler (0.30.0-0ubuntu1) vivid; urgency=medium

  * New upstream release
  * Rename packages according to the new SONAMEs:
    - libpoppler47 -> libpoppler49
  * Explicitly pass --disable-libopenjpeg now - this support was auto-disabled
    before but now configure fails without this flag.

 -- Iain Lane <iain@orangesquash.org.uk>  Tue, 20 Jan 2015 12:06:08 +0000

poppler (0.28.1-1ubuntu1) vivid; urgency=medium

  * Resynchronise with Debian, remaining changes:
    - Drop libopenjpeg-dev build depends, it is in universe.
    - Lower poppler-data to Suggests, it is too big for CD images,
      handled by language-selector.

 -- Iain Lane <iain.lane@canonical.com>  Wed, 12 Nov 2014 13:07:51 +0000

poppler (0.28.1-1) experimental; urgency=medium

  * New upstream release:
    - fix typo in JPX stream decoder (Closes: #764997)
  * Rename packages according to the new SONAMEs:
    - libpoppler46 -> libpoppler47
  * debian/patches:
    - upstream_Map-Standard-Expert-encoding-ligatures-to-AGLFN-name.patch:
      drop, backported
    - qt-visibility.diff: refresh
  * Update copyright.
  * Update symbols files.

 -- Pino Toscano <pino@debian.org>  Tue, 04 Nov 2014 23:04:13 +0100

poppler (0.26.5-2) unstable; urgency=medium

  * Backport upstream commit 01723aa17e836e818158dbdc56df642a290be300 to map
    Standard/Expert encoding ligatures to AGLFN names; patch
    upstream_Map-Standard-Expert-encoding-ligatures-to-AGLFN-name.patch.
    (Closes: #740801)
  * Bump Standards-Version to 3.9.6, no changes required.

 -- Pino Toscano <pino@debian.org>  Sun, 19 Oct 2014 18:23:32 +0200

poppler (0.26.5-1) unstable; urgency=medium

  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Sat, 27 Sep 2014 15:57:03 +0200

poppler (0.26.4-1) unstable; urgency=medium

  * New upstream release.
  * Fix linking order in autopkgtest tests.
  * Update copyright.

 -- Pino Toscano <pino@debian.org>  Fri, 22 Aug 2014 23:43:20 +0200

poppler (0.26.3-1) unstable; urgency=medium

  * New upstream release.
  * Bump the libqt4-dev (build-)dependency to 4.7.0, as noted in the upstream
    build system.
  * Update copyright.

 -- Pino Toscano <pino@debian.org>  Sun, 20 Jul 2014 19:16:14 +0200

poppler (0.26.2-3) unstable; urgency=medium

  * Mark libpoppler-dev, libpoppler-private-dev, libpoppler-qt5-dev, and
    libpoppler-cpp-dev as Multi-Arch: same; dependencies of the other -dev's
    are not ready. (Closes: #743817)
  * Switch from autotools-dev to dh-autoreconf: (Closes: #753342)
    - autoreconf in as-needed mode, and thus drop patch ltmain-as-needed.diff
    - remove Makefile.in parts from qt-visibility.diff
  * Provide a simple debian/upstream/metadata file, for DEP 12.
  * Remove Dave Beckett and Ross Burton from Uploaders, since they have done
    no work at all in poppler.
  * Add simple autopkgtest tests for the frontends (cpp, glib, qt4, qt5);
    loosely inspired by the glib one provided by Ubuntu.

  [ Peter Pentchev ]
  * Drop the unused libgtk2.0-dev build dependency. (Closes: #749972)

 -- Pino Toscano <pino@debian.org>  Fri, 18 Jul 2014 19:04:31 +0200

=== debian/control ===
--- 
+++ 
@@ -4,16 +4,13 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Loic Minier <lool@dooz.org>
 Uploaders: Josselin Mouette <joss@debian.org>,
-           Dave Beckett <dajobe@debian.org>,
-           Ross Burton <ross@debian.org>,
            Pino Toscano <pino@debian.org>
 Build-Depends: debhelper (>= 9),
+               dpkg (>= 1.16.1),
                dh-autoreconf,
-               dpkg (>= 1.16.1),
                libglib2.0-dev (>= 2.18),
-               libgtk2.0-dev (>= 2.12),
                libfontconfig1-dev,
-               libqt4-dev (>= 4.7.0),
+               libqt4-dev (>= 4:4.7.0),
                libcairo2-dev (>= 1.10.0),
                libjpeg-dev,
                libpng-dev,
@@ -27,13 +24,13 @@
                qtbase5-dev,
                libglib2.0-doc,
                libcairo2-doc
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://poppler.freedesktop.org/
 Vcs-Git: git://anonscm.debian.org/pkg-freedesktop/poppler.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-freedesktop/poppler.git
 XS-Testsuite: autopkgtest
 
-Package: libpoppler46
+Package: libpoppler49
 Architecture: any
 Section: libs
 Multi-Arch: same
@@ -49,7 +46,8 @@
 Package: libpoppler-dev
 Architecture: any
 Section: libdevel
-Depends: libpoppler46 (= ${binary:Version}),
+Multi-Arch: same
+Depends: libpoppler49 (= ${binary:Version}),
          ${shlibs:Depends},
          ${misc:Depends}
 Description: PDF rendering library -- development files
@@ -61,6 +59,7 @@
 Package: libpoppler-private-dev
 Architecture: any
 Section: libdevel
+Multi-Arch: same
 Depends: libpoppler-dev (= ${binary:Version}),
          ${misc:Depends}
 Suggests: libfreetype6-dev,
@@ -148,7 +147,7 @@
 Section: libdevel
 Depends: libpoppler-qt4-4 (= ${binary:Version}),
          libpoppler-dev (= ${binary:Version}),
-         libqt4-dev (>= 4.7.0),
+         libqt4-dev (>= 4:4.7.0),
          ${shlibs:Depends},
          ${misc:Depends}
 Description: PDF rendering library -- development files (Qt 4 interface)
@@ -173,6 +172,7 @@
 Package: libpoppler-qt5-dev
 Architecture: any
 Section: libdevel
+Multi-Arch: same
 Depends: libpoppler-qt5-1 (= ${binary:Version}),
          libpoppler-dev (= ${binary:Version}),
          qtbase5-dev,
@@ -200,6 +200,7 @@
 Package: libpoppler-cpp-dev
 Architecture: any
 Section: libdevel
+Multi-Arch: same
 Depends: libpoppler-cpp0 (= ${binary:Version}),
          libpoppler-dev (= ${binary:Version}),
          ${shlibs:Depends},
@@ -247,7 +248,7 @@
 Priority: extra
 Multi-Arch: same
 Depends: ${misc:Depends},
-         libpoppler46 (= ${binary:Version})
+         libpoppler49 (= ${binary:Version})
 Description: PDF rendering library -- debugging symbols
  Poppler is a PDF rendering library based on Xpdf PDF viewer.
  .

=== debian/rules ===
--- 
+++ 
@@ -27,6 +27,7 @@
 	--enable-libjpeg			\
 	--enable-libpng				\
 	--enable-libtiff			\
+	--disable-libopenjpeg			\
 	--enable-splash-output			\
 	--enable-cairo-output			\
 	--enable-poppler-glib			\
@@ -47,6 +48,9 @@
 	rm -f glib/reference/html/*
 	rm -f $(SYMBOLS_generated)
 
+override_dh_autoreconf:
+	dh_autoreconf --as-needed
+
 override_dh_auto_configure:
 	dh_auto_configure -- $(CONFIGURE_ARGS)
 
@@ -59,14 +63,14 @@
 	dh_install --list-missing
 
 override_dh_installchangelogs:
-	dh_installchangelogs -plibpoppler46
+	dh_installchangelogs -plibpoppler49
 	dh_installchangelogs --remaining-packages -XChangeLog
 
 override_dh_strip:
 	dh_strip --dbg-package=poppler-dbg
 
 override_dh_makeshlibs: $(SYMBOLS_generated)
-	dh_makeshlibs -plibpoppler46 -V
+	dh_makeshlibs -plibpoppler49 -V
 	dh_makeshlibs -plibpoppler-cpp0 -V"libpoppler-cpp0 (>= 0.16)"
 	dh_makeshlibs --remaining-packages

## poppler 0.33.0

=== debian/changelog ===
poppler (0.33.0-0ubuntu3.1) wily-security; urgency=medium

  * SECURITY UPDATE: heap overflow on invalid files
    - debian/patches/CVE-2015-8868.patch: check length of C0 array in
      poppler/Function.cc.
    - CVE-2015-8868

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 29 Apr 2016 15:56:35 -0400

poppler (0.33.0-0ubuntu3) wily; urgency=medium

  * Set hardening flags to "+all,-pie" to build with all hardening flags
    except -fPIE.

 -- Iain Lane <iain@orangesquash.org.uk>  Mon, 20 Jul 2015 12:53:12 +0100

poppler (0.33.0-0ubuntu2) wily; urgency=medium

  * Build using GCC 5.
  * Don't set hardening flags. Qt5 doesn't allow building with -fPIE.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 16 Jul 2015 12:37:59 +0200

poppler (0.33.0-0ubuntu1) wily; urgency=medium

  * New upstream release (LP: #1449991)
  * Rename packages according to the new SONAMEs:
    - libpoppler49 -> libpoppler52
  * debian/libpoppler-glib8.symbols.in:
  * debian/libpoppler-qt4-4.symbols.in:
  * debian/libpoppler-qt5-1.symbols.in:
    - Updated

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 23 Jun 2015 17:01:45 +1200

=== debian/control ===
--- 
+++ 
@@ -30,7 +30,7 @@
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-freedesktop/poppler.git
 XS-Testsuite: autopkgtest
 
-Package: libpoppler49
+Package: libpoppler52
 Architecture: any
 Section: libs
 Multi-Arch: same
@@ -47,7 +47,7 @@
 Architecture: any
 Section: libdevel
 Multi-Arch: same
-Depends: libpoppler49 (= ${binary:Version}),
+Depends: libpoppler52 (= ${binary:Version}),
          ${shlibs:Depends},
          ${misc:Depends}
 Description: PDF rendering library -- development files
@@ -248,7 +248,7 @@
 Priority: extra
 Multi-Arch: same
 Depends: ${misc:Depends},
-         libpoppler49 (= ${binary:Version})
+         libpoppler52 (= ${binary:Version})
 Description: PDF rendering library -- debugging symbols
  Poppler is a PDF rendering library based on Xpdf PDF viewer.
  .

=== debian/rules ===
--- 
+++ 
@@ -16,8 +16,8 @@
 # make the build verbose
 export V=1
 
-# enable all the hardening options
-export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+## enable all the hardening options
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all,-pie
 
 # DEB_* variables
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
@@ -63,14 +63,14 @@
 	dh_install --list-missing
 
 override_dh_installchangelogs:
-	dh_installchangelogs -plibpoppler49
+	dh_installchangelogs -plibpoppler52
 	dh_installchangelogs --remaining-packages -XChangeLog
 
 override_dh_strip:
 	dh_strip --dbg-package=poppler-dbg
 
 override_dh_makeshlibs: $(SYMBOLS_generated)
-	dh_makeshlibs -plibpoppler49 -V
+	dh_makeshlibs -plibpoppler52 -V
 	dh_makeshlibs -plibpoppler-cpp0 -V"libpoppler-cpp0 (>= 0.16)"
 	dh_makeshlibs --remaining-packages
